summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Robby Workman2010-09-16 03:29:22 +0200
committer Robby Workman2010-09-22 05:09:35 +0200
commit7f38cf6e0f6ba921e9cbbdccadcb6c68ff757628 (patch)
treeae7317d635a7b8ca277adaefa57d75bf676a96bd /multimedia
parentbd6bbb9d84102b73d5b2a0583e98863c09254123 (diff)
downloadslackbuilds-7f38cf6e0f6ba921e9cbbdccadcb6c68ff757628.tar.gz
multimedia/flash-player-plugin: Updated for version 10.2_d161.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/flash-player-plugin/README8
-rw-r--r--multimedia/flash-player-plugin/flash-player-plugin.SlackBuild64
-rw-r--r--multimedia/flash-player-plugin/flash-player-plugin.info14
-rw-r--r--multimedia/flash-player-plugin/slack-desc2
4 files changed, 40 insertions, 48 deletions
diff --git a/multimedia/flash-player-plugin/README b/multimedia/flash-player-plugin/README
index a76783c3ba..77a7add301 100644
--- a/multimedia/flash-player-plugin/README
+++ b/multimedia/flash-player-plugin/README
@@ -1,9 +1 @@
flash-player-plugin (flash plugin for web browsers)
-
-********************* NOTE! ***********************
-This version of the flash-plugin has known security
-issues, but since Adobe has not (yet?) released a
-version for x86_64, it will not be updated here until
-they do. If you run 32bit Slackware, feel free to
-use the latest version from Adobe (and change the
-VERSION string appropriately).
diff --git a/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild b/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
index c8f78999f3..c67d15a577 100644
--- a/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
+++ b/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
@@ -1,31 +1,48 @@
#!/bin/sh
-## Written by hollywoodb (hollywoodb@fastmail.fm)
-# Modified by the SlackBuilds.org project
-# Script maintained by Robby Workman <rworkman@slackbuilds.org>
+# Copyright 2010 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=flash-player-plugin
-VERSION=10.0_r45
+VERSION=10.2_d161
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-SRC_VERSION=10.0.45.2
+SRC_VERSION=091510
-# Automatically determine the architecture we're building on:
case "$( uname -m )" in
i?86) ARCH=i386 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
-# If you use or intend to use Opera at some point, and you want
-# this plugin available to it, then pass "yes" as the value to this
-# variable: USE_OPERA=yes ./flash-player-plugin.SlackBuild
-# Note that this should *NOT* be needed if you installed Opera using
-# the SlackBuilds.org build script, as we do a simple patch there to
-# make it look in /usr/lib${LIBDIRSUFFIX}/mozilla/plugins
-USE_OPERA=${USE_OPERA:-no}
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ SRC_ARCH=64bit
+elif [ "$ARCH" = "i386" ]; then
+ LIBDIRSUFFIX=""
+ SRC_ARCH=32bit
+else
+ printf "\n\n$ARCH is unsupported...\n"
+ exit 1
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -38,16 +55,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-if [ "$ARCH" = "x86_64" ]; then
- LIBDIRSUFFIX="64"
- tar xvf $CWD/libflashplayer-${SRC_VERSION}.linux-x86_64.so.tar.gz
-elif [ "$ARCH" = "i386" ]; then
- LIBDIRSUFFIX=""
- tar xvf $CWD/install_flash_player_10_linux.tar.gz
-else
- printf "\n\n$ARCH is unsupported...\n"
- exit 1
-fi
+tar xf $CWD/flashplayer_square_p1_${SRC_ARCH}_linux_${SRC_VERSION}.tar.gz
# Check to make sure we're packaging the same version that this script
# was written to handle:
@@ -68,14 +76,6 @@ fi
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
install -m 0755 libflashplayer.so $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
-# If the user wants an opera plugin installed, then we'll do that too.
-if [ ! "$USE_OPERA" = "no" ]; then
- mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/opera/plugins
- cd $PKG/usr/lib${LIBDIRSUFFIX}/opera/plugins
- ln -s /usr/lib${LIBDIRSUFFIX}/mozilla/plugins/libflashplayer.so .
- cd -
-fi
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/multimedia/flash-player-plugin/flash-player-plugin.info b/multimedia/flash-player-plugin/flash-player-plugin.info
index a2dd1efeee..b1b22967f0 100644
--- a/multimedia/flash-player-plugin/flash-player-plugin.info
+++ b/multimedia/flash-player-plugin/flash-player-plugin.info
@@ -1,10 +1,10 @@
PRGNAM="flash-player-plugin"
-VERSION="10.0_r45"
-HOMEPAGE="http://www.adobe.com/products/flashplayer"
-DOWNLOAD="http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz"
-MD5SUM="dbfc776cd4310250cde078e0bf0472e7"
-DOWNLOAD_x86_64="http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz"
-MD5SUM_x86_64="4a4561e456612a6751653b58342d53df"
+VERSION="10.2_d161"
+HOMEPAGE="http://labs.adobe.com/technologies/flashplayer10/"
+DOWNLOAD="http://download.macromedia.com/pub/labs/flashplayer10/flashplayer_square_p1_32bit_linux_091510.tar.gz"
+MD5SUM="72ccae191545eb921a445b07ed3ceb06"
+DOWNLOAD_x86_64="http://download.macromedia.com/pub/labs/flashplayer10/flashplayer_square_p1_64bit_linux_091510.tar.gz"
+MD5SUM_x86_64="338e954c02ba6776b6b8a908e6f96b5f"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="Erik Hanson"
+APPROVED="dsomero"
diff --git a/multimedia/flash-player-plugin/slack-desc b/multimedia/flash-player-plugin/slack-desc
index 588291cf90..125c82471a 100644
--- a/multimedia/flash-player-plugin/slack-desc
+++ b/multimedia/flash-player-plugin/slack-desc
@@ -11,7 +11,7 @@ flash-player-plugin:
flash-player-plugin: Provides Adobe Flash plugin for browsers that recognize
flash-player-plugin: /usr/lib(64)/mozilla/plugins as a valid plugin directory
flash-player-plugin:
-flash-player-plugin: Plugin is subject to Adobe terms of use:
+flash-player-plugin: Plugin is subject to Adobe terms of use:
flash-player-plugin: http://www.adobe.com/go/labs_term_of_use
flash-player-plugin: Plugin is subject to Adobe Flash EULA:
flash-player-plugin: http://labs.adobe.com/technologies/eula/flashplayer.html